#ifndef _TEST_ENTITY_H
#define _TEST_ENTITY_H

#include "world_entity.h"

class MD2Loader;
class MD2Model;
struct t3DModel;

class TestEntity : public WorldEntity 
{
  friend class World;

 public:
  TestEntity ();
  virtual ~TestEntity ();

  
  virtual void tick (float time);
  virtual void hit (WorldEntity* weapon, Vector* loc);
  virtual void destroy ();
  virtual void collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags);
  virtual void draw ();

 private:
  /* TESTING TESTING TESTING */
  t3DModel* model;
  MD2Model* md2Model;

  unsigned int* textureArray;

};

#endif /* _TEST_ENTITY_H */
